DROP TABLE IF EXISTS `#__redstamp_anagrafiche`;
DROP TABLE IF EXISTS `#__redstamp_bolle`;
DROP TABLE IF EXISTS `#__redstamp_fatture`;

CREATE TABLE `#__redstamp_anagrafiche` (
    `idAnagrafica` INT(11) NOT NULL AUTO_INCREMENT,
    `ragioneSociale` VARCHAR(255) NOT NULL,
    `indirizzo` VARCHAR(255) NOT NULL,
    `comune` VARCHAR(255) NOT NULL,
    `provincia` VARCHAR(2) NOT NULL,
    `pIVA` VARCHAR(15) NULL,
    `codiceFiscale` VARCHAR(16) NULL,
    `iva` FLOAT NULL,
    `telefono` VARCHAR(20) NULL,
    `email` VARCHAR(50) NULL,
    `inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `modified` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    `published` TINYINT NOT NULL DEFAULT  '1',
    PRIMARY KEY (`idAnagrafica`)
);
CREATE TABLE `#__redstamp_bolle` (
    `idBolla` INT(11) NOT NULL AUTO_INCREMENT,
    `idAnagrafica` INT(11) NOT NULL,
    `progressivo` VARCHAR( 255 ) NOT NULL
    `indirizzo` VARCHAR( 255 ) NOT NULL,
    `comune` VARCHAR( 75 ) NOT NULL ,
    `provincia` VARCHAR( 2 ) NOT NULL,
    `note` TEXT NOT NULL,
    `volume` INT NOT NULL,
    `peso` INT NOT NULL,
    `colli` INT NOT NULL ,
    `causale` VARCHAR( 255 ) NOT NULL,
    `trasporto` INT NOT NULL,
    `vettore` VARCHAR( 255 ) NOT NULL ,
    `dataRitiro` DATE NOT NULL,
    `prodotti` TEXT NOT NULL,
    `inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `modified` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,

    PRIMARY KEY (`idBolla`),
    FOREIGN KEY (`idAnagrafica`) REFERENCES `#__redstamp_anagrafiche`(`idAnagrafica`)
);
CREATE TABLE `#__redstamp_fatture` (
    `idFattura` INT(11) NOT NULL AUTO_INCREMENT,
    `idAnagrafica` INT(11) NOT NULL,
    `idBolla` INT NOT NULL,
    `prodotti` TEXT NOT NULL,
    `inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `modified` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,

    PRIMARY KEY (`idFattura`),
    FOREIGN KEY (`idAnagrafica`) REFERENCES `#__redstamp_anagrafiche`(`idAnagrafica`),
    FOREIGN KEY (`idBolla`) REFERENCES `#__redstamp_bolle`(`idBolla`)
);

